summaryrefslogtreecommitdiffstats
path: root/.local/bin/ifinstalled
diff options
context:
space:
mode:
authorHekuran <hekurangashi@pm.me>2021-05-31 03:07:27 +0200
committerGitHub <noreply@github.com>2021-05-30 21:07:27 -0400
commit4231d6bd33d484624293662dd6c40c768dc89875 (patch)
tree3330468912d5f198e122c3661cdbbc85cb90f3ec /.local/bin/ifinstalled
parentf16713bcf7135f29f0812a425f92755d12a448a7 (diff)
downloadeibhear-4231d6bd33d484624293662dd6c40c768dc89875.tar.gz
eibhear-4231d6bd33d484624293662dd6c40c768dc89875.tar.zst
eibhear-4231d6bd33d484624293662dd6c40c768dc89875.zip
improved `ifinstalled` and made `noisereduce` use it (#930)
* made noisereduce executable * improved `ifinstalled` script * made `noisereduce` use `ifinstalled` script * quoting for quiet shellcheck
Diffstat (limited to '.local/bin/ifinstalled')
-rwxr-xr-x.local/bin/ifinstalled6
1 files changed, 4 insertions, 2 deletions
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index be3ac24..7a53b18 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -6,6 +6,8 @@
# various other scripts for clarity's sake.
for x in "$@";do
- pacman -Qq "$x" >/dev/null 2>&1 ||
- { notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
+ notify() { notify-send "📦 $x" "must be installed for this function." && exit 1 ;}
+ which_out="$( /usr/bin/which "$x" >/dev/null 2>&1 )" && exit 0 #you might have compiled the prog, and not install the repo pkg...
+ pkgname="$(pacman -Qqo "$which_out" >/dev/null 2>&1 )" #...thats why two variables.
+ pacman -Qq "$pkgname" >/dev/null 2>&1 || notify
done